/**
 * PithHelmet
 * Copyright 2003, Mike Solomon <mas63@cornell.edu>
 * $Header: /Users/msolomon/Developer/cvs/PithHelmet/Resources/CollapseContent.js,v 1.9 2003/05/02 21:22:33 msolomon Exp $
 */

// these will get filled in at runtime by PithHelmet from its rule set
blockRules = [${BLOCK_PATTERNS}];
allowRules = [${ALLOW_PATTERNS}];
collapseAdSizedImages = ${COLLAPSE_AD_SIZED_IMAGES};

function matchesBlockRule(contentUrl)
{
	for (j = 0; j < blockRules.length; j++)
		if (blockRules[j].test(contentUrl))
			return true;
	
	return false;
}

function matchesAllowRule(contentUrl)
{
	for (j = 0; j < allowRules.length; j++)
		if (allowRules[j].test(contentUrl))
			return true;
	
	return false;
}


function shouldCollapseContentFromUrl(contentUrl)
{
	if (matchesBlockRule(contentUrl) && !matchesAllowRule(contentUrl))
		return true;
	
	return false;
}


function isCommonAdSize(img)
{
//	alert("size = " + img.width + "x" + img.height);
	if (!collapseAdSizedImages)
		 return false;

	if (img.height == 600 && (img.width == 120 || img.width == 125 || img.width == 150 || img.width == 160))
		return true;
	
	if (img.height == 60 && img.width == 468)
		return true;
	if (img.height == 62 && img.width == 470)
		return true;
	if (img.height == 90 && img.width == 728)
		return true;
	if (img.height == 92 && img.width == 730)
		return true;
		
	return false;
}

/**
 * The thinking is that a nice, small image probably won't be some foul blight on the scenery.
 * so we shouldn't waste our time with the expensive regexp filters.
 */
function isSmallImage(img)
{
	if (img.height < 60 || img.width < 60)
		return true;
		
	return false;
}

for (var i = 0; i < document.images.length; i++)
{
	if (isCommonAdSize(document.images[i]) && !matchesAllowRule(document.images[i].src))
		document.images[i].style.display = "none";		
	else if (!isSmallImage(document.images[i]) && shouldCollapseContentFromUrl(document.images[i].src))
		document.images[i].style.display = "none";
}

for (var i = 0; i < document.links.length; i++)
{
	if (shouldCollapseContentFromUrl(document.links[i].href))
		document.links[i].style.display = "none";
}

// this is probably very slow - especially if there are many elements
var iframes = document.getElementsByTagName("iframe");
for (var i = 0; i < iframes.length; i++)
{
	var iframe = iframes.item(i);
	if (isCommonAdSize(iframe) && !matchesAllowRule(iframe.src))
		iframe.style.display = "none";		
	else if (!isSmallImage(iframe) && shouldCollapseContentFromUrl(iframe.src))
		iframe.style.display = "none";
}

// this is probably very slow - especially if there are many elements
// var embeds = document.getElementsByTagName("object");
// for (var i = 0; i < embeds.length; i++)
// {
// 	var embed = embeds.item(i);
// 	if (isCommonAdSize(embed) && !matchesAllowRule(embed.src))
// 		embed.style.display = "none";		
// 	else if (!isSmallImage(embed) && shouldCollapseContentFromUrl(embed.src))
// 		embed.style.display = "none";
// }



